Subject: [PATCH 03/15] mfd: Make MFD core code Device Tree and IRQ domain aware

From: [email-masked] (Samuel Ortiz)
Date: Fri, 29 Jun 2012 16:55:03 +0200

Hi Lee,

On Wed, Jun 20, 2012 at 01:56:39PM +0100, Lee Jones wrote:
> During Device Tree enablement of the ab8500 and db8500-prcmu drivers,
> a decision was made to omit registration through the MFD API and use
> Device Tree directly. However, because MFD devices have a different
> address space and the ab8500 and db8500 both use I2C to communicate,
> this causes issues with address translation during execution of
> of_platform_populate(). So the solution is to make the MFD core aware
> of Device Tree and have it assign the correct node pointers instead.
> 
> To make this work the MFD core also needs to be awere of IRQ domains,
> as Device Tree insists on IRQ domain compatibility. So, instead of
> providing an irq-base via platform code, in the DT case we simply
> look up the IRQ domain and map to the correct virtual IRQ.
> 
> Cc: Samuel Ortiz <[email-masked]>
> Signed-off-by: Lee Jones <[email-masked]>
> ---
>  drivers/mfd/mfd-core.c   |   31 +++++++++++++++++++++++++++----
>  include/linux/mfd/core.h |    1 +
>  2 files changed, 28 insertions(+), 4 deletions(-)
Applied, after changing the code style a bit to make it more readable.
Could you please provide me with a follow up patch for documenting the
of_compatible MFD cell field, please ?

Cheers,
Samuel.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/